<?php

/*
 * Copyright (c) 2020-2021 Антон Аксенов (Anthony Axenov)
 *
 * This code is licensed under MIT.
 * Этот код распространяется по лицензии MIT.
 * https://github.com/anthonyaxenov/atol-online/blob/master/LICENSE
 */

declare(strict_types=1);

namespace AtolOnline\Enums;

/**
 * Константы, определяющие виды оплат
 *
 * @see https://online.atol.ru/files/API_atol_online_v4.pdf Документация, стр 35
 */
enum PaymentType: int
{
    /**
     * Расчёт наличными
     */
    case CASH = 0;

    /**
     * Расчёт безналичными
     */
    case ELECTRON = 1;

    /**
     * Предварительная оплата (зачёт аванса)
     */
    case PREPAID = 2;

    /**
     * Предварительная оплата (кредит)
     */
    case CREDIT = 3;

    /**
     * Иная форма оплаты (встречное предоставление)
     */
    case OTHER = 4;

    /**
     * Расширенный типы оплаты (5)
     * Для каждого фискального типа оплаты можно указать расширенный тип оплаты
     */
    case ADD_5 = 5;

    /**
     * Расширенный типы оплаты (6)
     * Для каждого фискального типа оплаты можно указать расширенный тип оплаты
     */
    case ADD_6 = 6;

    /**
     * Расширенный типы оплаты (7)
     * Для каждого фискального типа оплаты можно указать расширенный тип оплаты
     */
    case ADD_7 = 7;

    /**
     * Расширенный типы оплаты (8)
     * Для каждого фискального типа оплаты можно указать расширенный тип оплаты
     */
    case ADD_8 = 8;

    /**
     * Расширенный типы оплаты (9)
     * Для каждого фискального типа оплаты можно указать расширенный тип оплаты
     */
    case ADD_9 = 9;
}
